The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"В Linux-версии Chromium 34 будет прекращена поддержка плагин..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от opennews (??) on 09-Янв-14, 19:32 
В соответствии с ранее представленным планом (https://www.opennet.ru/opennews/art.shtml?num=37980), компания Google с января блокирует возможность использования плагинов NPAPI (Netscape Plug-in API)  в Chrome, за исключением плагинов, входящих в белый список (Silverlight, Unity, Google Earth, Java, Google Talk и Facebook Video). В конце года поддержка NPAPI будет прекращена полностью. В связи с переводом Linux-версии Chrome на новый графический стек Aura (https://sites.google.com/a/chromium.org/dev/developers/desig...), поддержка NPAPI в Linux будет прекращена значительно раньше, чем в версиях для Windows и OS X. В частности, код NPAPI будет удалён (https://groups.google.com/a/chromium.org/forum/#!msg/chromiu...) уже в Chrome 34 для Linux, выпуск которого запланирован на начало апреля.


В настоящее время Flash-плагин в Chrome реализован с использованием нового интерфейса PPAPI, но он поставляется в составе Chrome и не доступен для установки в обособленном виде. Пользователи Chromium до сих пор вынуждены были использовать штатный NPAPI-плагин от компании Adobe. Так как Chrome и Chromium основаны на единой кодовой базе, пользователи Linux-сборок Chromium 34 не смогут использовать плагины с Flash и Java. В качестве варианта остаётся извлечение Flash-плагина из состава  Chrome и его подключение к Chromium. К сожалению данная операция может быть выполнена только каждым пользователям вручную, так как распространение PPAPI-варианта Flash вне Chrome не является легальной, что не позволит распространять данный плагин через репозитории.

В качестве причины прекращения поддержки NPAPI называется жаление уйти от архитектурных ограничений, которые накладывает устаревший API, разработанный более 15 лет назад и не соответствующий современным реалиям. Сегодняшние браузеры стали безопаснее, быстрее и значительно функциональнее своих предшественников. Использование NPAPI приводит к усложнению кода, проблемам с  безопасностью и низкой надёжности работы. Кроме того, NPAPI изначально не поддерживается браузерами для мобильных устройств. В качестве основной альтернативы NPAPI компания Google продвигает PPAPI (http://code.google.com/p/ppapi/) (Pepper API), не совместимый с NPAPI и пока не поддерживаемый в других браузерах. Интерфейс PPAPI разработан инженерами Google для устранения проблем с переносимостью и производительностью классического NPAPI, а также для упрощения создания плагинов, работающих в виде отдельных процессов. PPAPI также предоставляет ряд расширенных интерфейсов, связанных с обеспечением работы в плагинах вычислительных, аудио и графических функций.

URL: https://groups.google.com/a/chromium.org/forum/#!msg/chromiu...
Новость: https://www.opennet.ru/opennews/art.shtml?num=38817

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +12 +/
Сообщение от Аноним (??) on 09-Янв-14, 19:32 
Flash умирает, осталось в хроме его убрать.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –19 +/
Сообщение от chinarulezzz (ok) on 09-Янв-14, 19:35 
И поделом. Флэш - жутчайший быдлокод, что приходится держать в системе. Весь фан от пользования системой кукожит.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

4. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +3 +/
Сообщение от anoname on 09-Янв-14, 19:38 
>Весь фан от пользования системой кукожит.

Так вы систему пользуете или работаете с прикладным ПО?

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

5. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –19 +/
Сообщение от chinarulezzz (ok) on 09-Янв-14, 19:42 
>>Весь фан от пользования системой кукожит.
> Так вы систему пользуете или работаете с прикладным ПО?

и то и другое ;)

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

121. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +6 +/
Сообщение от anoname on 10-Янв-14, 16:18 
Вопрос: каким образом Вы "пользуете" систему? Спасибо.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

122. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –8 +/
Сообщение от chinarulezzz (ok) on 10-Янв-14, 16:44 
> Вопрос: каким образом Вы "пользуете" систему? Спасибо.

разными способами. Способы - несущественно. Много программ, много способов. Система - тоже программа.

Ответить | Правка | ^ к родителю #121 | Наверх | Cообщить модератору

140. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от anoname on 13-Янв-14, 18:50 
>> Вопрос: каким образом Вы "пользуете" систему? Спасибо.
> разными способами. Способы - несущественно. Много программ, много способов. Система - тоже
> программа.

Система без прикладного ПО никакой ценности не представляет.
Даже для элементарных операций нужно прикладное ПО.
А Вы, похоже, путаете все понятия.
Не надо так.

Ответить | Правка | ^ к родителю #122 | Наверх | Cообщить модератору

141. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от chinarulezzz (ok) on 13-Янв-14, 19:04 
>>> Вопрос: каким образом Вы "пользуете" систему? Спасибо.
>> разными способами. Способы - несущественно. Много программ, много способов. Система - тоже
>> программа.
> Система без прикладного ПО никакой ценности не представляет.
> Даже для элементарных операций нужно прикладное ПО.
> А Вы, похоже, путаете все понятия.
> Не надо так.

Прикладное ПО без системы никакой ценности не представляет. Даже для элементарных операций нужна система. А вы похоже путаете понятия.
Не надо так.

Ответить | Правка | ^ к родителю #140 | Наверх | Cообщить модератору

14. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +13 +/
Сообщение от CssfPZS (ok) on 09-Янв-14, 19:55 
Болезный ты нащ, раз уж ты тут так авторитетно заявляешь о качестве кода, получается что
ты его ревизией занимался и на руках имеешь.
Так давай выкладывай сорцы, оценим всем опеннетом его кривизну!
Если нету, то завязывай со своим кококо.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

24. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –13 +/
Сообщение от chinarulezzz (ok) on 09-Янв-14, 20:28 
> Болезный ты нащ, раз уж ты тут так авторитетно заявляешь о качестве
> кода, получается что
> ты его ревизией занимался и на руках имеешь.
> Так давай выкладывай сорцы, оценим всем опеннетом его кривизну!
> Если нету, то завязывай со своим кококо.

Чувак, я заявляю о кривизне программы по её кривому поведению. Для этого код не нужен. Вот так вот всё просто.

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

66. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +3 +/
Сообщение от Sabakwaka (ok) on 09-Янв-14, 22:57 
Чего кривого в поведении Флэша?
Давай ссылку.
Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

80. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –8 +/
Сообщение от chinarulezzz (ok) on 10-Янв-14, 00:11 
кинуть ссылку на багтрекер? :D
Ответить | Правка | ^ к родителю #66 | Наверх | Cообщить модератору

83. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 10-Янв-14, 00:53 
>  Чего кривого в поведении Флэша?

А вот как-то было дело, интел федористам оптимизнул malloc и это гумно стало портить данные и глючить. Потому что вопреки стандарту - полагается на конкретное поведение конкретного malloc. Индусы которые это писали - не знали самых основ. Использование стандартных библиотечных функций и гарантии относительно их свойств.

Ответить | Правка | ^ к родителю #66 | Наверх | Cообщить модератору

116. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –8 +/
Сообщение от Аноним (??) on 10-Янв-14, 11:52 
> Индусы которые это писали - не знали самых основ. Использование стандартных библиотечных функций и гарантии относительно их свойств.

Как будто это что-то плохое. Философия unix гласит: работает - не трогай.

Ответить | Правка | ^ к родителю #83 | Наверх | Cообщить модератору

143. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Alan Cox email on 14-Янв-14, 16:18 
Думаю это философия подходит не только для unix можно так сказать про любую систему, программу или даже про печатную плату!!!
Ответить | Правка | ^ к родителю #116 | Наверх | Cообщить модератору

136. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от анонимус (??) on 11-Янв-14, 19:54 
>>  Чего кривого в поведении Флэша?
> А вот как-то было дело, интел федористам оптимизнул malloc и это гумно
> стало портить данные и глючить. Потому что вопреки стандарту - полагается
> на конкретное поведение конкретного malloc. Индусы которые это писали - не
> знали самых основ. Использование стандартных библиотечных функций и гарантии относительно
> их свойств.

Это был memcpy

Ответить | Правка | ^ к родителю #83 | Наверх | Cообщить модератору

106. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –2 +/
Сообщение от Syward (ok) on 10-Янв-14, 08:02 
Да пожалуйста:
http://itmages.ru/image/view/1423561/51674e38
Ответить | Правка | ^ к родителю #66 | Наверх | Cообщить модератору

3. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +9 +/
Сообщение от samm email(ok) on 09-Янв-14, 19:37 
"Интерфейс PPAPI разработан инженерами Google для устранения проблем с переносимостью и производительностью классического NPAPI" - только я вспомнил "фатальный недостаток"? И да, о "проблемах с переносимостью" - это смешно, npapi умело куча браузеров, а ppapi пока только хром и клоны. Ну и Java лично для меня - весьма критична, всякие kvm плагины и т.п. треш иногда приходится использовать. Впрочем, я на огнелисе, так что пофиг.
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

16. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +4 +/
Сообщение от Аноним (??) on 09-Янв-14, 20:04 
> И да, о "проблемах с переносимостью" - это смешно, npapi умело куча браузеров, а ppapi пока только хром и клоны.

Так это и есть основная проблема, пейсатели плагинов ещё не подсажены на иглу гугла и они это оперативно исправляют создавая свой велосипед.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

22. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +19 +/
Сообщение от irinat (ok) on 09-Янв-14, 20:23 
> "проблемах с переносимостью" - это смешно, npapi умело куча браузеров

Так уж случилось, что я начал копаться с PPAPI и NPAPI. И вот что хочу сказать. PPAPI действительно сделан с упором на переносимость. Практически для любого взаимодействия с хостом там есть свои интерфейсы. Файлы, звук, видео, графика (в том числе OpenGL ES), сеть. Всё только через PPAPI. Как бонус --  процесс с плагином можно посадить в песочницу, из которой он не может делать ничего. В результате плагину не нужно уметь ALSA, Pulse Audio или Direct Sound (или что там в Windows используется). Такой плагин для переноса в Linux надо просто пересобрать. Максимум, что придётся поменять -- виндовые нити на pthread. Портирование становится действительно простым.

Ну и если NPAPI для браузера было реализовать довольно легко, с PPAPI придётся повозиться. Там много тупой работы по оборачиванию родных API операционки в PPAPI.

Ещё один недостаток PPAPI -- он суть движущаяся цель. Меняется чуть ли не с каждым релизом Chrome. Скорость появления изменений падает, но они всё ещё происходят. Выпускать отдельный Flash плагин в такой ситуации просто нет смысла -- с выходом новой версии Chrome старые плагины могут легко сломаться.

Как только авторы PPAPI успокоятся и придут к некой стабильной базе, тогда начнут подтягиваться и другие браузеры. А пока слишком рано. Я всё надеялся, что появятся обёртки-преобразователи между NPAPI и PPAPI, но ими никто не занимается. Я конечно уже начал, но там реально много нудной работы, так что результат если и будет, то не скоро.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

34. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Vkni (ok) on 09-Янв-14, 21:00 
> Выпускать отдельный Flash плагин в такой ситуации просто
> нет смысла

В такой ситуации вообще нет смысла сторонним организациям пользоваться этим API.

Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

47. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +3 +/
Сообщение от irinat (ok) on 09-Янв-14, 21:57 
Так никто и не пользуется.
Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

84. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 00:54 
> Так никто и не пользуется.

...что гробит весь смысл затеи...

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

115. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от irinat (ok) on 10-Янв-14, 11:44 
Благодаря этой затее у Google'а есть свежий Flash плеер под GNU/Linux, несмотря на отказ Adobe от дальнейшей разработки под эту платформу. А благодаря полученному доступу к исходниками они (Google) могут собирать его под все поддерживаемые платформы, в том числе и под ChromeOS на ARM. Что, в общем-то, повышает конкурентные свойства ноутбуков на ChromeOS. Можно как угодно относиться к Google, но нельзя не признать, что затея была удачная.

А если напрячься, можно даже сделать Flash плеер под Android/Linux.

Ответить | Правка | ^ к родителю #84 | Наверх | Cообщить модератору

123. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 10-Янв-14, 16:49 
> Благодаря этой затее у Google'а есть свежий Flash плеер под GNU/Linux, несмотря на отказ Adobe от дальнейшей разработки под эту платформу.

Тут дело не в API, а в соглашениях с Adobe.

Ответить | Правка | ^ к родителю #115 | Наверх | Cообщить модератору

33. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Vkni (ok) on 09-Янв-14, 20:58 
> Flash умирает, осталось в хроме его убрать.

Ага, и youtube перекодировать. Флаг в руки.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

36. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –14 +/
Сообщение от iZEN (ok) on 09-Янв-14, 21:00 
>> Flash умирает, осталось в хроме его убрать.
> Ага, и youtube перекодировать. Флаг в руки.

С youtube меняешь user-agent у браузера на IE10 и спокойно смотришь ролики через HTML5 Video.

Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

43. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +10 +/
Сообщение от Аноним (??) on 09-Янв-14, 21:23 
> С youtube меняешь user-agent у браузера на IE10

?!
youtube.com/html5

Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

46. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от iZEN (ok) on 09-Янв-14, 21:56 
>> С youtube меняешь user-agent у браузера на IE10
> ?!
> youtube.com/html5

И это тоже не забыть. Иначе через раз будет выдаваться запрос на установку Flash-плагина. ;)

Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

50. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 09-Янв-14, 22:07 
Ну и половина роликов всё равно не работает.
Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

51. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –4 +/
Сообщение от iZEN (ok) on 09-Янв-14, 22:10 
> Ну и половина роликов всё равно не работает.

Установи плагин по смене [s]пола[/s] user-agent и включай в нём режим мимикрии под IE10.


Ответить | Правка | ^ к родителю #50 | Наверх | Cообщить модератору

57. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 09-Янв-14, 22:39 
Стоит, стоит.
Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

70. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от iZEN (ok) on 09-Янв-14, 23:02 
> Стоит, стоит.

Поробуй другой. Этот, видимо, не очень хорошо маскирует браузер.


Ответить | Правка | ^ к родителю #57 | Наверх | Cообщить модератору

101. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от rshadow (ok) on 10-Янв-14, 06:06 
Так вот откуда статистика роста IE. Опять гугол виноваты... =)
Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

131. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Куяврег on 11-Янв-14, 13:07 
так ты пол никогда не сменишь...
Ответить | Правка | ^ к родителю #57 | Наверх | Cообщить модератору

59. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 09-Янв-14, 22:41 
>> Ну и половина роликов всё равно не работает.
> Установи плагин по смене [s]пола[/s] user-agent и включай в нём режим мимикрии
> под IE10.

http://www.youtube.com/watch?v=b4TVGUUt65Y

"это видео сейчас недоступно" - режим IE10/html5, "Adobe Flash Required" - FF/html5.

Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

69. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от iZEN (ok) on 09-Янв-14, 23:01 
>>> Ну и половина роликов всё равно не работает.
>> Установи плагин по смене [s]пола[/s] user-agent и включай в нём режим мимикрии
>> под IE10.
> http://www.youtube.com/watch?v=b4TVGUUt65Y
> "это видео сейчас недоступно" - режим IE10/html5, "Adobe Flash Required" - FF/html5.

В FF и Chromium с плагинами подмены user-agent видео нормально воспроизводится. Чувак с макбуком доставляет.


Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

71. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 09-Янв-14, 23:05 
> В FF и Chromium с плагинами подмены user-agent видео нормально воспроизводится. Чувак с макбуком доставляет.

Если можно, явки и пароли для того и другого.

Ответить | Правка | ^ к родителю #69 | Наверх | Cообщить модератору

94. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Аноним (??) on 10-Янв-14, 01:19 
в Fx пользуюсь этим!
https://addons.mozilla.org/ru/firefox/addon/youtube-all-html5/
и надписи о "установите флеш" убирает и видео переключает на html5 плеер, пока не было видео, чтоб не запустилось.
(не работает на стримы)
Ответить | Правка | ^ к родителю #71 | Наверх | Cообщить модератору

95. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 10-Янв-14, 01:42 
Большое спасибо!
Ответить | Правка | ^ к родителю #94 | Наверх | Cообщить модератору

75. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Аноним (??) on 09-Янв-14, 23:38 
Немного шаманим с урлом и сразу показывает: https://www.youtube.com/embed/b4TVGUUt65Y
Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

96. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 10-Янв-14, 01:44 
> Немного шаманим с урлом и сразу показывает: https://www.youtube.com/embed/b4TVGUUt65Y

Chromium, "Это видео сейчас недоступно". :-(

Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

108. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 09:07 
FF, флеша нет и не было. Всё работает.
Ответить | Правка | ^ к родителю #96 | Наверх | Cообщить модератору

128. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 10-Янв-14, 18:23 
Мистика!
Ответить | Правка | ^ к родителю #108 | Наверх | Cообщить модератору

85. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +3 +/
Сообщение от Аноним (??) on 10-Янв-14, 00:56 
> С youtube меняешь user-agent у браузера на IE10 и спокойно смотришь ролики
> через HTML5 Video.

Весьма странный способ смотреть HTML5 видео на ютубе. Учитывая что лиса и хромиум в VP8 и без всяких извратов показывают. А если что не играется и вякает про флеш, то уж /embed/<ID> уж всяко проигрывается. К тому же к embed не применяются некоторые паскудные ограничения (хинт, хинт).

Ответить | Правка | ^ к родителю #36 | Наверх | Cообщить модератору

120. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от iZEN (ok) on 10-Янв-14, 15:40 
>> С youtube меняешь user-agent у браузера на IE10 и спокойно смотришь ролики
>> через HTML5 Video.
> Весьма странный способ смотреть HTML5 видео на ютубе. Учитывая что лиса и
> хромиум в VP8 и без всяких извратов показывают.

FF и Chromium имеют внутри себя или в зависимостях все необходимые кодеки. Просто в youtube сделана специальная стратегия отдачи видеоконтента с предпочтением Flash Video.

Первое открытие странички с видеороликом в только что запущенном браузере без Flash-плагина вполне может воспроизвести ролик в HTML5 Video без запроса установки Flash плагина. Зато последующие переходы по ссылкам попросят загрузить и установить Flash плагин (хотя он в принципе не нужен) для воспроизведения других роликов с того же сайта youtube. И эта проблема решается использованием плагина смены user-agent'а на IE10: youtube для него почему-то не делает предпочтений в использовании Flash Video.

Ответить | Правка | ^ к родителю #85 | Наверх | Cообщить модератору

56. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Sabakwaka (ok) on 09-Янв-14, 22:30 
> Flash умирает, осталось в хроме его убрать

А кто его убирает???
Flash в Pepper UI — остается.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

81. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 00:21 
Убирают клоны хрома, коих наплодилось множество, включая самый кошерный открытый. +Заявка на убийство браузеров-конкурентов на линуксе так точно. Хотя, флеш и так нормально никогда не работал. 99.3% линуксоидов давно смирились.
Ответить | Правка | ^ к родителю #56 | Наверх | Cообщить модератору

6. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +4 +/
Сообщение от Омоним on 09-Янв-14, 19:42 
А как же без java? Теперь любителям хромиума придется держать Firefox для клиент банков?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

7. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +9 +/
Сообщение от анонко on 09-Янв-14, 19:45 
> А как же без java? Теперь любителям хромиума придется держать Firefox для
> клиент банков?

Естественно, клиенты банков не нужны)

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

74. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –3 +/
Сообщение от Аноним (??) on 09-Янв-14, 23:38 
А тем у кого таки есть свои (а не мамкины) деньги?
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

86. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +3 +/
Сообщение от Аноним (??) on 10-Янв-14, 00:58 
> А тем у кого таки есть свои (а не мамкины) деньги?

Нормальные банки давно сделали для них нормальный HTMLный онлайн банкинг. А мумукаться с явой и черти-какой дрянью - это утонченное садо-мазо.

Ответить | Правка | ^ к родителю #74 | Наверх | Cообщить модератору

97. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –2 +/
Сообщение от Andrew Kolchoogin (ok) on 10-Янв-14, 02:07 
Это для мамкиных денег есть нормальный Web-банкинг.

А для своих платёжные поручения ключиком подписывать надоть. А для этого Java ой как нужна. Ну или, хотя бы, ActiveX. ;) И конечно, сертифицированные криптографические библиотеки, да.

Ответить | Правка | ^ к родителю #86 | Наверх | Cообщить модератору

100. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +5 +/
Сообщение от Xasd (ok) on 10-Янв-14, 06:01 
> Это для мамкиных денег есть нормальный Web-банкинг.
>
> А для своих платёжные поручения ключиком подписывать надоть. А для этого Java ой как нужна. Ну или, хотя бы, ActiveX. ;) И конечно, сертифицированные криптографические библиотеки, да.

типичный тупой миф безопасности. :)

повышенная безопасность была БЫ если бы ты просто ипользовал БЫ Java-программу-и-сертификаты (а не Java-аплет-и-сертификаты в WEB-браузере).

в чём разница? [риторический вопрос].

в том что программа (отдельная Java-программа) делает то что в неё заранее было заложенно. банковские транзакции, подписи и прочее-прочее.. но не более того.

а Java-аплет-к-браузеру -- ДЕЛАЕТ ТО ЧТО ЕГО ПРОСИТ ДЕЛАТЬ WEB-САЙТ НА ТЕКУЩИЙ МОМЕНТ ВРЕМЕНИ (при каждом заходе на web-сайт -- свежая копия Java-аплета (и Javascript) может просить делать совершенно новые действа, даже может попросить закачать секретную часть ключа на какой-нибудь сайт. и где тогда гарантия что сертификат-и-его-ключ доступен только тебе?). И таким образом СЕРТИФИКАТЫ НА ФЛЕШКЕ ТУТ НИ ЧЕГО НЕ ИЗМЕНЯЮТ! ЭТО ТОЛЬКО ПЫЛь В ГЛАЗА! ИМИТАЦИЯ БЕЗОПАСТИСТИ!

другими словами если используетя Web-браузер для банкинга -- то всё что можно сделать для безопасности -- это только работать через HTTPS. ну и может быть +активация через SMS-какое-нибудь-там (ну или брелок с цифрами https://upload.wikimedia.org/wikipedia/commons/8/8f/RSA_Secu... ).

даже если Java-программа (не Java-аплет web-сайту) является с закрытым исходным кодом -- то хотя бы факт того что свежая версия такой программы выходит не чаще чем раз в год -- даёт возможность быть уверенным в стабильности её поведения. хотя лично я был бы больше уверен в HTTPS :) , а свои сертификаты пусть гоняют у себя в серверной..

Java-аплет скачивается при каждом заходе на web-сайт (если ты защёл на web-сайт 20 раз в день -- то у тебя потенциально может быть 20 разных копий). и Javascript-скачивается при каждом заходе на web-сайт. (Javascript управляет Java-аплетом).

при такой обстановке -- когда у тебя сопрут файлы сертификата-и-ключа то ты даже не сможешь найти концов как это произошло.

Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

107. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 08:45 
ну вообще то есть и "не извлекаемые ключи", хоть это и не гарантия, что при этом _подписываемые_ байты соответствуют _нужным_пользователю_ байтам.
Ответить | Правка | ^ к родителю #100 | Наверх | Cообщить модератору

112. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Anonimous on 10-Янв-14, 10:38 
Неловкий момент, когда коммент интересней статьи.
Ответить | Правка | ^ к родителю #100 | Наверх | Cообщить модератору

135. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Куяврег on 11-Янв-14, 13:39 
вот даже не знаю как откомментировать. ты всё правильно сказал, вопросов нет. но это как если бы тебя попросили накрыть на стол, и ты весь так отлично всё накрыл и засервировал, но сделал это в туалете.

Поясняю ещё раз. Есть статус кво по банкингу. Есть сертифицированное ПО, которое включает определённые криптобиблиотеки (сертифицированные) и написано определённым образом. А написано оно таким образом, что

1) нужен либо ActiveX (привет, ВТБ24) либо java приложение

2) нужен (зачастую) аппаратный ключ

  2.1) этот аппаратный ключ должон видеться ОС.

По факту, банк-клиент под линукс - это удачное стечение обстоятельств: хороший  тариф на обслуживание + нет проблем с п.1 + нет особого геморроя с п.2.  

Так вот, то, что ты тут излагаешь своё, правильное мнение о том, как всё должно быть устроено, радует только школьников (не всех, те которые понял о чём ты) и смешит людей, которые это видели на практике.

ЗЫ. Если ты, начитанный наш школьник, внимателен, то ты заметил, что топиковая новость убивает (для конкретного браузера) возможность стать звеном в п.1, о чём Кольчугин тебе и сказал.

ЗЗЫ. Дополнительный вопрос. Сколько юрлиц ты зарегал и сколько из них работают по твоей схеме. Ну и осчастливь публику названиями банков.

ЗЗЗЫ. Если на допвопрос ответ 0... то... ну ты понял, да?

Ответить | Правка | ^ к родителю #100 | Наверх | Cообщить модератору

137. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Xasd (ok) on 12-Янв-14, 13:45 
ясно

из прочитанного -- я всё понял следующим образом: проблема в том что "вот так вот сложилось и теперь нужно что-то делать.. а раньше случайно работало на Linux"

и в этом случае я вижу только следующие выходы из ситуации (любое на выбор):

1. на компьютере Linux . и туда (на Linux) мы ставим виртуальную машину (Qemu? или др..), на неё ставим купленный лицензионный Windows и Internet Explorer.. и больше НИ КАКИЕ сторонние программы, кроме всяких там драйверов к ключу и ActiveX.
(ну или может быть плюс какое-нибудь решение для буффера обмена между хостом и гостём)

2. не ставим вообще ни куда Linux. а ставим сразу Windows и Internet Explorer.

##################################################

оба варианта отличаются тем что в случае "1." -- компьютер можно использовать для банкинга и +ещё чего нибудь другого (например +для редактирования офиссных документов, и работы с кореспонденцией).

в случае "2." -- у нас просто компьютер с лишь одной функцией "Банкинг" :-) ..

а всё я это написал для того чтобы намекнуть на то что Google Chrome (и Mozilla Firefox) и их плагины -- тут мало относятся к делу вообще :-)..

Ответить | Правка | ^ к родителю #135 | Наверх | Cообщить модератору

145. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Куяврег on 17-Янв-14, 00:43 
> а всё я это написал для того чтобы намекнуть на то что
> Google Chrome (и Mozilla Firefox) и их плагины -- тут мало
> относятся к делу вообще :-)..

Я это например к тому что оба предложенных решения максимальной п*3*анутости по сравнению с *просто* плагинами.

Ответить | Правка | ^ к родителю #137 | Наверх | Cообщить модератору

139. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от walrus email on 13-Янв-14, 10:50 
Вы пожалуйста не обижайтесь, но то что вы написали это бред. Вы не понимаете даже основ.

1) вы не понимаете разницы между шифрованным каналом данных (в случае https) и подписанным документом. В случае https -- как только документ получен серверной стороной - он уже ничем не отличается от других документов. В случае подписанного документа -- ваше авторство легко проверяется и через год и через два. Так что https не замена электронной подписи.

2) с чего вы вдруг решили что javascript управляет java апплетом?

3) С чего вы решили что апплет cможет украсть приватные ключи? К ключам лезет не апплет а java машина. И где именно находятся ключи -- апплет даже не знает. Он просто использует API. А ключи вы можете поместить куда угодно, зависит от степени паранои. Например  в железку без файловой системы, с доступом по PKCS#11, с активацией по fingerprint.

4) подсунуть левый апплет, который будет что-то воровать -- проблематично. Чтобы обратиться к cry[toapi, апплет должен быть подписан банком и вы должны явно указать что доверяете подписи банка. Если подсунуть левый апплет неподписаный - он будет работать в sandbox - ничего вообще не сможет сделать. Если подписанный не банком - получите сразу, на стадии загрузки алерт, что подпись неправильная.

Ответить | Правка | ^ к родителю #100 | Наверх | Cообщить модератору

132. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Куяврег on 11-Янв-14, 13:15 
> Это для мамкиных денег есть нормальный Web-банкинг.
> А для своих платёжные поручения ключиком подписывать надоть. А для этого Java
> ой как нужна. Ну или, хотя бы, ActiveX. ;) И конечно,
> сертифицированные криптографические библиотеки, да.

Школота тут же минусует. Школоте невдомёк как оно всё устроено, они не открывали юрлицо для них веббанкинг и "всё работает".

Хотя (отвлекусь от темы) работает там далеко не всё. У всей битриксовой  п^&*обратии есть адская бага. У них вылизано штатное, работающее. Под все браузеры. А вот вывод сообщений об ошибках у них корректный только для "вендоизбранных". Замечено на: сбербанковский веббанкинг, билайновский личный кабинет.

Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

133. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Zulu on 11-Янв-14, 13:23 
Вы не принимайте заморочки вашей родины за мировые тенденции, да?
Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

134. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Куяврег on 11-Янв-14, 13:38 
> Вы не принимайте заморочки вашей родины за мировые тенденции, да?

советы теоретиков крайне ценны.

Ответить | Правка | ^ к родителю #133 | Наверх | Cообщить модератору

9. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –8 +/
Сообщение от анонко on 09-Янв-14, 19:47 
> А как же без java? Теперь любителям хромиума придется держать Firefox для
> клиент банков?

Впрочем, у меня есть предположение, что флеш будет ставиться по-прежнему через ubuntu-restricted-extras (пакет flashplugin-installer).

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

63. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от paulus (ok) on 09-Янв-14, 22:46 
flashplugin-installer это npapi, а для пеппера есть pepperflashplugin-nonfree и pepflashplugin-installer...
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

13. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от annulen (ok) on 09-Янв-14, 19:50 
>А как же без java?

Использовать другой браузер и ждать, пока Oracle запилит PPAPI-плагин.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

37. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Vkni (ok) on 09-Янв-14, 21:01 
> А как же без java? Теперь любителям хромиума придется держать Firefox для
> клиент банков?

Только пока наши доблестные Мозильщики не сделали ещё один шаг в сторону Chrome.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

40. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +5 +/
Сообщение от fidaj (ok) on 09-Янв-14, 21:15 
> А как же без java? Теперь любителям хромиума придется держать Firefox для
> клиент банков?

Скоро гугл свой банк сделает... а все остальные банки умрут...

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

48. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 09-Янв-14, 22:00 
уже сделал
Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

124. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Аноним (??) on 10-Янв-14, 16:51 
> Скоро гугл свой банк сделает... а все остальные банки умрут...

Против яндекса, который продался сберу - не потянет. По крайней мере, в этой стране.

Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

41. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Нанобот (ok) on 09-Янв-14, 21:19 
>Теперь любителям хромиума придется держать Firefox для клиент банков?

типа того. 0.7% юзеров хромиума, из них 0.1% использует клиент банки на java, итого 0.0007% от общего числа юзеров (может их лучше считать в штуках?) окажутся на бортом. не велика потеря, в общем-то

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

10. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Аноним (??) on 09-Янв-14, 19:47 
то-есть в Chromium по умолчанию не будет работать ни Flash ни Java? кто им тогда будет пользоваться?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

44. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Vladjmir (ok) on 09-Янв-14, 21:26 
Да, никто. Тогда хромиум реально не нужен и его выкинут из репов. Как вариант, дистрам люди будут ставить бинарный блоб chrome, если это будет возможно.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

64. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от paulus (ok) on 09-Янв-14, 22:51 
> то-есть в Chromium по умолчанию не будет работать ни Flash ни Java?
> кто им тогда будет пользоваться?

В 34-х версиях Chromium у меня уже нет ключей api google, что жутко бесит так как нет синхронизации и кеер не работает. FF дело хорошее, но ночнушки уже на хром стали похожи... Куда ж мы катимся?

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

87. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +4 +/
Сообщение от Аноним (??) on 10-Янв-14, 01:00 
> В 34-х версиях Chromium у меня уже нет ключей api google,

Так тебе и надо, больше завязывайся на чужие апи и сервера - и ты получишь то что заслужил. Да, в полночь твоя карета будет превращаться в тыкву.

Ответить | Правка | ^ к родителю #64 | Наверх | Cообщить модератору

126. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 16:54 
> В 34-х версиях Chromium у меня уже нет ключей api google, что
> жутко бесит так как нет синхронизации и кеер не работает. FF
> дело хорошее, но ночнушки уже на хром стали похожи... Куда ж
> мы катимся?

В сторону Chrome. Vendor lock-in as is.

Ответить | Правка | ^ к родителю #64 | Наверх | Cообщить модератору

11. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –7 +/
Сообщение от Аноним (??) on 09-Янв-14, 19:49 
>В качестве варианта остаётся извлечение Flash-плагина из состава Chrome и его подключение к Chromium. К сожалению данная операция может быть выполнена только каждым пользователям вручную...

Да ладно!
# apt-get install pepperflashplugin-nonfree

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

35. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 21:00 
Description-en: Pepper Flash Player - browser plugin
This package will download Chrome from Google, and unpack it to make the
included Pepper Flash Player available for use with Chromium.  The end user
license agreement is available at Google.
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

58. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Crazy Alex (ok) on 09-Янв-14, 22:40 
Да и пес бы с ним, вообще-то. Как скачает так и удалит. На фоне каких-нибудь торрентов - глубоко пофигу. Закрытость и проприетарность - ровно такая же, как и оригинального адобовского флеша.
Ответить | Правка | ^ к родителю #35 | Наверх | Cообщить модератору

45. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 21:43 
Или, ещё лучше, zypper in chromium-pepper-flash
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

12. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от CssfPZS (ok) on 09-Янв-14, 19:49 
Очевидно сами упоротые инженеры Google.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

20. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –11 +/
Сообщение от Я (??) on 09-Янв-14, 20:19 
Не валите вину на инженеров. Они просто делают свою работу - разрабатывают програмный продукт. Да, наверное они рады скинуть наследие Нетскейпа, но не их вина в том что Pepper такой огороженый и из-за него теперь Хромиум фактически обречён. А вот всякие там эффективные менеджеры, они как раз думают, как выжать из вложенных денег как можно больше. Они всегда убивают хорошие начинания, идеи, командный дух и пр. И очень жаль, что создатели Гугла, сами когда-то хипанутые свободолюбивцы, стали "деловыми" людьми.
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

27. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +10 +/
Сообщение от annulen (ok) on 09-Янв-14, 20:35 
> не их вина в том что Pepper такой огороженый и из-за него теперь Хромиум фактически обречён.

Сколько чуши в одном предложении

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

88. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 10-Янв-14, 01:02 
> Не вaлите вину на инженеров. Они просто делают свою работу - разрабатывают
> програмный продукт.

Киллeры тоже "просто делают свою работу - устраняют неудобных кому-то людей". Работа и ее результаты - они, знаете ли, разными бывают. И не всегда это хорошо для окружающих.

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

17. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Аноним (??) on 09-Янв-14, 20:08 
Логика Гугл просто железная: из-за явы и флеша браузер работает медленнее и небезопасней, по-этому нужно снести яву и флеш, чтоб браузером вообще никто не пользовался. Нет браузера нет проблем ))
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

19. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +7 +/
Сообщение от анонимм on 09-Янв-14, 20:19 
как будто ЦА хромого нужно от браузера что-то кроме твитора и фейкбука
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

26. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –2 +/
Сообщение от iZEN (ok) on 09-Янв-14, 20:32 
Наконец-то (я надеюсь) chromium избавится от мозолящей глаза жёлтой полоски "Ой, для отображения некоторых элементов требуется плагин Adobe Flash Player.". и кнопки "Установить плагин...". И ещё от иезуитской ссылки "Проблемы с установкой?". Ага, на FreeBSD есть проблемы с установой Flash с сайта Adobe — там просто не знают об этой системе и Flash-блоб для неё не приготовили. И зачем постоянно об этом напоминать? Чтобы установили "правильный" Linux и Flash под него и тогда точно-точно не будет проблем?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

30. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Evolve32 (ok) on 09-Янв-14, 20:52 
А бинари от линукса не совместимы?
Как бы там ни было, по моему, не многое теряете.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

79. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от vitalif (ok) on 09-Янв-14, 23:48 
А через линуксатор (или как его там зовут) он не работает?
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

89. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Аноним (??) on 10-Янв-14, 01:06 
> Наконец-то (я надеюсь) chromium избавится от мозолящей глаза жёлтой полоски "Ой, для
> отображения некоторых элементов требуется плагин Adobe Flash Player.".

А в лисе такие запросы можно просто отключить. Но это же изен. Он любит грызть кактусы.

Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

102. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Gentoouser on 10-Янв-14, 06:23 
могу скинуть патчик, который отключает эту полоску. в фряхе есть что нибудь типа гентушного epatch_user? если нет, я думаю, должна быть возможность накладывать патчи вручную. там в общем то одну опцию скрипта конфигурации надо явным образом отключить. правда у меня патч отключает ее для линукса, так что придется его переделать для фряхи.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

113. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от xM on 10-Янв-14, 10:58 
В сборке PCBSD он себе вполне спокойно работает без всяких посторонних вопросов.
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

28. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 20:44 
Ффух, я уже думал, что PPAPI Flash нельзя будет прикручивать, а мумифицированный 10.2 кому нужен?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

65. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от paulus (ok) on 09-Янв-14, 22:55 
> Ффух, я уже думал, что PPAPI Flash нельзя будет прикручивать, а мумифицированный
> 10.2 кому нужен?

эта мумия работает лучше и стабильней пеппера, на который жутко жалуются на форуме гуглохрома...

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

32. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от trex (??) on 09-Янв-14, 20:55 
флеш на самом деле далеко не самая оптимальная технология, надеюсь со временем вообще весь веб откажется от нее, думаю google и идут в этом направлении
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

38. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 21:01 
>самая оптимальная

фу таким быть

Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

60. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +2 +/
Сообщение от Crazy Alex (ok) on 09-Янв-14, 22:41 
Веб и оптимальность - вообще вещи слабо совместимые
Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

78. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от vitalif (ok) on 09-Янв-14, 23:48 
Нормальная технология, была бы она ещё опенсорсной и нормально реализованной...
Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

39. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –3 +/
Сообщение от Нанобот (ok) on 09-Янв-14, 21:14 
>К сожалению данная операция может быть выполнена только каждым пользователям вручную

что-то мне подсказывает, что даже это нельзя делать (законопослушному) пользователю из-за копирастических ограничений

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

90. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 01:07 
> копирастических ограничений

"Ваше присутствие здесь - не ваша заслуга, а наша недоработка".

Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

42. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –3 +/
Сообщение от Тот_Самый_Анонимус on 09-Янв-14, 21:21 
Проблемы как раз у хромого. Это они разработали никому не нужный апи. Совсем как майкрософт со своими «стандартами».
А флеш как жил, так и будет жить, ибо пока адекватной замены ему нет.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

91. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 01:08 
> А флеш как жил, так и будет жить, ибо пока адекватной замены ему нет.

Ну да, конечно. Там вон на HTML+JS линух бутявят в эмуляторе и unreal engine гоняют, а некоторые некрофилы все за флеш цепляются.

Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

104. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Ананас on 10-Янв-14, 07:44 
Но ведь Unreal Engine 3 работает и через flash.
Ответить | Правка | ^ к родителю #91 | Наверх | Cообщить модератору

49. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 22:06 
Придётся отказываться от Chromium в Linux - они не оставляют выбора.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

52. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 22:11 
> компания Google с января блокирует возможность использования плагинов

Вопрос: и при чем здесь комьюнити? Или это по просьбе трудящихся масс?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

53. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Аноним (??) on 09-Янв-14, 22:14 
Читать так: "В Linux-версии Chromium 34 будет прекращена поддержка HTML"
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

54. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 09-Янв-14, 22:14 
А в выигрыше остается лишь Гугл. Т.к. некоторый % пользователей Хромиума вынуждены будут перейти на Хром.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

61. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Crazy Alex (ok) on 09-Янв-14, 22:42 
Насколько я понимаю, гугл просто скинул ч себя лишнюю мороку по поддержке. Злой воли ну никак не усматриваю
Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

67. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от paulus (ok) on 09-Янв-14, 22:58 
> Насколько я понимаю, гугл просто скинул ч себя лишнюю мороку по поддержке.
> Злой воли ну никак не усматриваю

да странно все там, хромиум открытый проект, но гугл приказал прекратить поддержку... может умысел таки есть.

Ответить | Правка | ^ к родителю #61 | Наверх | Cообщить модератору

82. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Reinar (ok) on 10-Янв-14, 00:24 
>  хромиум открытый проект, но гугл приказал прекратить поддержку.

Теперь-то и посмотрим насколько он нужен сообществу.

Ответить | Правка | ^ к родителю #67 | Наверх | Cообщить модератору

98. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Andrew Kolchoogin (ok) on 10-Янв-14, 02:10 
>>  хромиум открытый проект, но гугл приказал прекратить поддержку.
> Теперь-то и посмотрим насколько он нужен сообществу.

Да-да.

Форкнуть ведь никто не мешает...

Ответить | Правка | ^ к родителю #82 | Наверх | Cообщить модератору

105. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Ананас on 10-Янв-14, 07:46 
Форкнуть? Браузер? Да ты, я смотрю, юморист.
Ответить | Правка | ^ к родителю #98 | Наверх | Cообщить модератору

77. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от vitalif (ok) on 09-Янв-14, 23:47 
Да и ну его нафиг этот хром.

Правильно говорят, что он в очередной IE превращается, а гугл - в очередной мелкософт. Да в общем и изначально, зачем нужен этот отстой, когда там даже ГОРЯЧИЕ КЛАВИШИ не настраиваются.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

92. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 10-Янв-14, 01:09 
Да, ты правильно понял - это такой терминал к сервисам гугля. Скоро там будет 3 кнопки: заплатить, заплатить побольше, слить на себя досье. Ну и хватит с тебя, гугло-холоп.
Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

93. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Аноним (??) on 10-Янв-14, 01:11 
окей а когда уже гуглотолк будет без плагина работать?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

99. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –2 +/
Сообщение от Аноним (??) on 10-Янв-14, 04:05 
Яндекс.Музыка без флеша не работает!
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

109. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 09:54 
> Яндекс.Музыка без флеша не работает!

работает. я её через rekonq слушаю, флеш не установлен. насчёт chromium неясность, на одном компе работает в нём, на другом в такой же версии - нет, кнопку плей нажимаешь и ничего не происходит, ни сообщений об ошибке в консоле ни музыки.

Ответить | Правка | ^ к родителю #99 | Наверх | Cообщить модератору

147. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от soarin on 20-Янв-14, 09:33 
работает без проблем без флеша и в фурифоксе и в хромиуме, но не в опере (что и понятно).
Ответить | Правка | ^ к родителю #99 | Наверх | Cообщить модератору

103. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Zenitur (ok) on 10-Янв-14, 07:26 
Я уже сейчас выковыриваю Flash Plugin из Chrome и пользуюсь в Chromium. Поэтому проблема не для меня :-)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

110. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 09:55 
И как теперь к консоли виртуалок подключаться в proxmox`е?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

142. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от ACCA (ok) on 13-Янв-14, 21:04 
> И как теперь к консоли виртуалок подключаться в proxmox`е?


#!/bin/bash

HOST=$1
VM=$2

USER=root
PORT=5900
H=$(dirname $0)


ssh -n $USER@$HOST "/bin/nc -vlp $PORT -w 10 -c '/usr/sbin/qm vncproxy $VM'" 2> >(
    grep -l listening >/dev/null && java -jar $H/VncViewer.jar HOST $HOST PORT $PORT USERNAME $USER@pam
)


Будет ныть, что не находит JSObject в bash, так и должно быть.

VncViewer.jar выдираешь из Proxmox. Можно и оригинальный TigerVNC.

Ответить | Правка | ^ к родителю #110 | Наверх | Cообщить модератору

114. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 11:40 
"будет прекращена поддержка плагинов Adobe Flash и Java"
"за исключением плагинов, входящих в белый список (Silverlight, Unity, Google Earth, Java, "

один я не понимаю при чем здесь java?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

117. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 10-Янв-14, 13:21 
> "будет прекращена поддержка плагинов Adobe Flash и Java"
> "за исключением плагинов, входящих в белый список (Silverlight, Unity, Google Earth, Java,
> "
> один я не понимаю при чем здесь java?

Написано же, что белый список только в сборках для OS X и Windows, в Linux просто вырежут с корнем поддержку NPAPI.

Ответить | Правка | ^ к родителю #114 | Наверх | Cообщить модератору

118. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 10-Янв-14, 14:59 
В Ubuntu 14.04 обсуждалась замена по умолчанию FF на Chromium, теперь, судя по всему, необходимость отпала.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

119. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от Аноним (??) on 10-Янв-14, 15:39 
>Flash умирает, осталось в хроме его убрать.

Не совсем так, например недавно в Linuxmint 16 запилили собственный флеш под названием mint-flashplugin. Может поэтому такая активность Гугла с этим связана? Хотя, опять же непонятно, чем собственно флэш им помешал?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

127. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  –1 +/
Сообщение от flowers (ok) on 10-Янв-14, 17:13 
Как же пускать "Танки Онлайн"?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

138. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Perain on 12-Янв-14, 18:11 
При помощи Native Code и gcc конечно же
https://support.google.com/chrome/answer/1647344?hl=ru
Ответить | Правка | ^ к родителю #127 | Наверх | Cообщить модератору

129. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Заоза (ok) on 10-Янв-14, 18:26 
Гугл таааааааак дого тянул с этим, что всем уже просто надоело и они решили разом вылить свое мнение. Ну 2 года назад это уже должно было произойти, а не сейчас.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

144. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +1 +/
Сообщение от Аноним (??) on 16-Янв-14, 01:42 
Что будет делать Opera без flash плагина?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

146. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Аноним (??) on 19-Янв-14, 15:15 
Учитывая, что опера - единственный браузер, который не поддерживает h.264 и mp3
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

148. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от amurchikus on 10-Май-14, 17:07 
если касательно Java то думаю это еще не скоро будет.
На данный момент очень много запросов по инструкциям такого вида http://so4net.com/index.php/ru/blog/85-java-plugin-chrome-de...
Это говорит, о том что такие сервисы еще используются хорошо даже в банковских системах.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

149. "В Linux-версии Chromium 34 будет прекращена поддержка плагин..."  +/
Сообщение от Владимир email(??) on 23-Окт-14, 18:29 
Кто нибудь пробовал вытащить  PPAPI-вариант Flash из Chrome  и внедрить его в Chromium 34 под freeBSD?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру